
Figure - 开发 Dev #112253
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

开发 Dev # 110715 (完成 Closed): 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】

【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】黑夜/白天模式切换
2022-09-29 13:56 - CD FW-程天颖

Status: 取消 Canceled Start date: 2022-09-29

Priority: Normal Due date: 2022-10-14

Assignee: CD FW-程天颖 % Done: 100%

Category: Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Description

■需求列表:

1�0�2黑白主题切换，紧支持自动切换   

2�0�2跟随中控屏设置进行统一切换  

■提出URL：

暂无

■自测case：

暂无

■注意点：需要测试注意的前提条件

追加需求描述：

1. 支持副屏与中控同步launcher 的深色模式

2. 支持手动切换至深色模式

3. 深色模式同步开关：

位置：setting，控制中心

功能描述：控制副屏是否通过以太网和中控同步深色模式

状态说明：

1. 开启：开启同步功能，开启后不支持手动调整，隐藏手动调整按钮

2. 关闭：关闭同步功能，在setting中打开手动调节的开关

3. 默认状态：开启

4. 状态切换说明：

同步开启-->同步关闭：保持关闭前的模式，关闭前是白天，则为白天，关闭前为深色，则关闭后为深色

同步关闭-->同步开启：开启后，需要向中控询问当前的主题状态，若不一致，同步为同中控一样的主题模式

5. 深色模非同步状态下的设置

状态：不再和中控同步

隐藏开关出现：setting中，展示手动调整深色模式的开关设置，逻辑follow源生深色模式设置

详情请查看需求PRD：https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf#

参考章节4.1.6

Related issues:

Related to Figure - 需求 Requirement # 111231: 【Locked需求】La... 完成 Closed 2022-08-12

History

#1 - 2022-09-29 13:57 - CD FW-程天颖

- Assignee set to CD FW-程天颖

#2 - 2022-09-29 14:30 - CD FW-程天颖

- Subject changed from 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】3、黑夜/白天模式切换 to 【MK】【FW】【VehicleDataControl】

【TC-RID: 1201-0206101】黑夜/白天模式切换
https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf


- Description updated

#3 - 2022-10-08 19:07 - CD FW-王伟

- Description updated

- Due date set to 2022-10-14

#4 - 2022-10-11 17:45 - CD FW-程天颖

- Status changed from New to 进行中 In Progress

- % Done changed from 0 to 50

#5 - 2022-12-23 10:06 - CD FW-程天颖

- Status changed from 进行中 In Progress to 取消 Canceled

现在只有黑夜模式

#6 - 2022-12-23 10:10 - CD FW-程天颖

- % Done changed from 50 to 100
